png++ 0.2.10

List of all members
png::convert_color_space< gray_pixel_16 > Struct Reference

Converts image color space. A specialization for gray_pixel_16 type. More...

`#include <convert_color_space.hpp>`

Inheritance diagram for png::convert_color_space< gray_pixel_16 >:

## Additional Inherited Members
Public Types inherited from png::detail::convert_color_space_impl< gray_pixel_16 >
typedef pixel_traits< gray_pixel_16 > | traits
typedef traits::component_type | component_type
typedef basic_alpha_pixel_traits< component_type > | alpha_traits
Public Member Functions inherited from png::detail::convert_color_space_impl< gray_pixel_16 >
void | operator() (reader &io) const
Static Protected Member Functions inherited from png::detail::convert_color_space_impl< gray_pixel_16 >
static void | expand_8_to_16 (png_struct *, png_row_info *row_info, byte *row)
static void | dump_row (byte const *row, uint_32 width)
static void | handle_16 (reader &io)
static void | handle_alpha (reader &io, uint_32 filler)
static void | handle_palette (reader &io)
static void | handle_rgb (reader &io)
static void | handle_gray (reader &io)

## Detailed Description

Converts image color space. A specialization for gray_pixel_16 type.

The documentation for this struct was generated from the following file:

- convert_color_space.hpp